summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2021-02-04 14:23:11 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2021-02-04 14:23:11 +0100
commitd9622dd1b7a8656da294b2d32e99566b5d6945c3 (patch)
tree8a51d060de29b0fac0cc9b724c1a6fd19989c315 /kde-apps/kde-dev-scripts
parentkde-apps/kcachegrind: 20.12.2 version bump (diff)
downloadgentoo-d9622dd1b7a8656da294b2d32e99566b5d6945c3.tar.gz
gentoo-d9622dd1b7a8656da294b2d32e99566b5d6945c3.tar.bz2
gentoo-d9622dd1b7a8656da294b2d32e99566b5d6945c3.zip
kde-apps/kde-dev-scripts: 20.12.2 version bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-apps/kde-dev-scripts')
-rw-r--r--kde-apps/kde-dev-scripts/Manifest1
-rw-r--r--kde-apps/kde-dev-scripts/kde-dev-scripts-20.12.2.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/kde-apps/kde-dev-scripts/Manifest b/kde-apps/kde-dev-scripts/Manifest
index cd491024786..4ad4697878c 100644
--- a/kde-apps/kde-dev-scripts/Manifest
+++ b/kde-apps/kde-dev-scripts/Manifest
@@ -1,2 +1,3 @@
DIST kde-dev-scripts-20.08.3.tar.xz 366100 BLAKE2B 9e76cc03a0a945a58c58bebaffbd5c3b09d2ed589cafe58a87612e906b8768f143241cb0b4e25f51f39302a32c903714a0539fe74f3070551753ddc6e40b8f96 SHA512 bb1298a85c6dfc64cbbf2dabb92ea5c964c13a927a73530bb1e84f21e2b55f6c60fdd1dc94c239c791a0dd8faea65ee3ac65dc0e1e0cb5c98e9eb523213e366e
DIST kde-dev-scripts-20.12.1.tar.xz 366436 BLAKE2B 96f29964f687ebd4a9942710c90a83236b555dc104d18db0b6c96dff9930ffa71dde9faf0006c684303d30b7637d6eaa57ba9bad02da9f18496666cedb4e990b SHA512 5483344804f3445f66ddf62197852ef0fea8829841a54114ae736ebfb5323bd724683de55b66294dd8806fba0e23f513e7a38d45d71522d66dda623e1125cc1d
+DIST kde-dev-scripts-20.12.2.tar.xz 366460 BLAKE2B f3d963545f4df42070670a575b95a15f9b9b128f49fec79da5214fee655621de738661da655adcc017c56d16bea9e3077b34ffd1b2af8e958ee3699cf957bda5 SHA512 a6e62db0c09c054b7fc8784b885263b88806f9ffb88228d3255cc1de6421795a826cb89f575df9dbfa91f05a366a0dd2e851ba7dc9f02b4e54ba6999d2decd56
diff --git a/kde-apps/kde-dev-scripts/kde-dev-scripts-20.12.2.ebuild b/kde-apps/kde-dev-scripts/kde-dev-scripts-20.12.2.ebuild
new file mode 100644
index 00000000000..17d8087c88c
--- /dev/null
+++ b/kde-apps/kde-dev-scripts/kde-dev-scripts-20.12.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="true"
+KFMIN=5.75.0
+inherit ecm kde.org
+
+DESCRIPTION="KDE Development Scripts"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+# kdelibs4support - required for kdex.dtd
+# kdoctools - to use ECM instead of kdelibs4
+DEPEND="
+ >=kde-frameworks/kdelibs4support-${KFMIN}:5
+ >=kde-frameworks/kdoctools-${KFMIN}:5
+"
+RDEPEND="
+ app-arch/advancecomp
+ media-gfx/optipng
+ dev-perl/XML-DOM
+"
+
+src_prepare() {
+ ecm_src_prepare
+
+ # bug 275069
+ sed -e 's:colorsvn::' -i CMakeLists.txt || die
+}